import argparse
from iac_tools.clusterset import ClusterSet


def main():
    parser = argparse.ArgumentParser(description='AWS cluster start tool.',
                                     epilog='This tool relies on the "Cluster" and "Owner" tags on instances and '
                                            'volumes. IAC automation puts this in place.'
                                            'Starts the cluster CLUSTER.')
    parser.add_argument('cluster',
                        help='the name CLUSTER of the cluster in question. This can be found by looking at any node '
                             'in the AWS console and looking for the "Cluster" tag.')

    args = parser.parse_args()

    cluster = ClusterSet(args.cluster)
    cluster.start_instances()
    print('Cluster %s started!' % cluster.cluster_names)


if __name__ == '__main__':
    main()